
const createPackageJson = (config) => {
  const contents = {
    name: config.name,
    version: '0.1.0',
    description: config.description,
    main: './lib/index.js',
    scripts: {
      'test:node': 'tape test/*.js | tap-spec',
      'test:lint': 'snazzy',
      'test': 'npm-run-all -p test:*',
      'prepublish': 'mkdirp lib && buble -i src -o lib',
      'release': 'xyz'
    },
    repository: {
      type: 'git',
      url: `https://github.com/${config.author.username}/${config.name}`
    },
    author: `${config.author.fullname} <${config.author.email}>`,
    dependencies: {},
    devDependencies: {
      'npm-run-all': '^2.3.0',
      'tap-spec': '^4.1.1',
      'mkdirp': '^0.5.1',
      'snazzy': '^4.0.0',
      'buble': '^0.13.1',
      'tape': '^4.6.0',
      'xyz': '^1.0.0'
    },
    keywords: config.keywords,
    license: config.license
  }

  return JSON.stringify(contents, null, 2)
}

module.exports = createPackageJson