
const _mkdirp = require('mkdirp').sync
const { dirname } = require('path')

const createLines =  (...lines) => {
  return lines.map((line) => {
    if (Array.isArray(line)) {
      return line.join('\n')
    } else {
      return `${line}\n\n`
    }
  }).join('')
}

const trimLines = (str) => str.split('\n')
  .map((line) => line.trim()).join('\n')

const trimAndRemoveEmptyLines = (str) => str
  .split('\n')
  .reduce((acc, line) => {
    if (/\S/.test(line)) {
      return acc.concat([line.trim()])
    } else {
      return acc
    }
  }, [])
  .join('\n')

const shields = (url) =>
  `https://img.shields.io/${url}?style=flat-square`

const mkdirp = (file) => {
  console.log(dirname(file))
  _mkdirp(dirname(file))
  return file
}

module.exports = {
  trimAndRemoveEmptyLines,
  createLines,
  trimLines,
  shields,
  mkdirp
}